function [vystup1,chans,sampling,sens,chann,id,pr,jm,date,time]=filter_eeg(y);
%-----------------------------Načtení signálu------------------------------
[FileName,PathName,FilterIndex] = uigetfile('*.dat','Vyberte prosím soubor signal.dat','C:\signal');
file=fullfile(PathName,FileName);
%načtení dat
[data,chans,sampling,sens,chann,id,pr,jm,date,time]=read_alien(file);

%----------------------------Deklarace proměnných--------------------------
% Vybrání kanálu
x=data(y,:);
x=double(x);
% x=x(1000:4000); %vybrání části signálu
% vzorkovaci kmitocet
fvz = sampling;
m=length(x);
%---------------------------Nastavení filtrace-----------------------------
% mezni kmitocet 
dolni_mez=0.5;
horni_mez=45;
% rad filtru
N=300;

% ---------------------------Filtrace--------------------------------------
b = fir1(N, dolni_mez/(fvz/2),'high'); %horní propusť
vystup=filter(b,1,x);

b = fir1( N, horni_mez/(fvz/2), 'low'); %dolní propusť
% b=h;
vystup1=filter(b,1,vystup);

% Odstranění zpoždění
zpozdeni = (length(b)-1)/2;
vystup1 = vystup1( 2*zpozdeni:end );
k=length(vystup1);
%---------------------------Vykreslení signálu-----------------------------
figure(1); 
subplot(2,1,1);
plot(linspace(0,m/fvz,m),x);
title('Vstupní signál');
xlabel('Čas [s]')
ylabel('Amplituda [uV]')


subplot(2,1,2);
plot(linspace(0,k/fvz,k),vystup1);
title('Výstupní signál po průchodu filtrem')
xlabel('Čas [s]')
ylabel('Amplituda [uV]')
     

